curl --request PUT \
--url https://api.qovery.com/variable/{variableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"value": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true,
"secret_manager_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.qovery.com/variable/{variableId}"
payload = {
"key": "<string>",
"value": "<string>",
"description": "<string>",
"enable_interpolation_in_file": True,
"secret_manager_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
value: '<string>',
description: '<string>',
enable_interpolation_in_file: true,
secret_manager_access_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.qovery.com/variable/{variableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"value": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"is_secret": true,
"updated_at": "2023-11-07T05:31:56Z",
"mount_path": "<string>",
"overridden_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"aliased_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "DATABASE_PSQL_NAME",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"value": "<string>"
},
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>",
"description": "<string>",
"enable_interpolation_in_file": true,
"secret_manager_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Edit a variable
- You can’t edit a BUILT_IN variable
- For an override, you can’t edit the key
- For an alias, the value is the key of the variable it targets. Editing it re-points the alias to that other variable, which must already exist and be of the same kind (secret or not)
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Variable ID
Body
the key of the environment variable
the value of the environment variable
optional variable description (255 characters maximum)
255Response
Edited variable value
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM, AGENTIC_WORKFLOW type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET, FILE_EXTERNAL_SECRET)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET, FILE_EXTERNAL_SECRET Show child attributes
Show child attributes
Show child attributes
Show child attributes
The id of the service referenced by this variable.
The name of the service referenced by this variable.
type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)
Was this page helpful?